/*
 Navicat Premium Dump SQL

 Source Server         : qdhome.iot321.top-dev
 Source Server Type    : MySQL
 Source Server Version : 50740 (5.7.40-log)
 Source Host           : qdhome.iot321.top:33103
 Source Schema         : pla-chem-sim-dev-1

 Target Server Type    : MySQL
 Target Server Version : 50740 (5.7.40-log)
 File Encoding         : 65001

 Date: 15/12/2024 19:22:55
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sim_real_exam_collection
-- ----------------------------
DROP TABLE IF EXISTS `sim_real_exam_collection`;
CREATE TABLE `sim_real_exam_collection`  (
  `exam_collection_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '考试集合ID',
  `sim_type` char(4) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '模拟器类型',
  `question_setting_method` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '出题方式:\r\n1 系统随机\r\n2 教师自选\r\n3 任务自选\r\n',
  `exam_collection_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '考试类型\r\n1:练习\r\n2:自主练习\r\n3:考试',
  `exam_collection_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '考试名称',
  `task_id` bigint(20) NULL DEFAULT 0 COMMENT '任务ID',
  `limit_duration` int(6) NULL DEFAULT NULL COMMENT '限制时长(分钟)',
  `start_time` datetime NULL DEFAULT NULL COMMENT '考试开始时间(天)',
  `end_time` datetime NULL DEFAULT NULL COMMENT '考试结束时间(天)',
  `create_user_id` bigint(20) NULL DEFAULT 0 COMMENT '创建教师ID/用户ID',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`exam_collection_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试集合表' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
